unit addZone;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, TFlatEditUnit, dxCore, dxButtons;

type
  TForm4 = class(TForm)
    dxButton1: TdxButton;
    dxButton2: TdxButton;
    FlatEdit1: TFlatEdit;
    FlatEdit2: TFlatEdit;
    Label1: TLabel;
    Label2: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure dxButton1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    inipath : string;
  end;

var
  Form4: TForm4;

implementation

uses inifiles;

{$R *.DFM}

procedure TForm4.FormCreate(Sender: TObject);
var
        ix : integer;
begin
        ix := GetSystemDefaultLangID;
        if lo(ix)<>LANG_KOREAN then begin
                Font.Name := 'MS Sans Serif';
                Font.Size := 8;
                dxbutton1.Caption := '&Apply';
                dxbutton2.Caption := '&Cancel';
        end;
end;

procedure TForm4.dxButton1Click(Sender: TObject);
var
        inif : Tinifile;
begin
        try
        inif := TiniFile.Create(inipath);
        try
        inif.WriteString('MAPZONEDEF',FlatEdit1.text,FlatEdit2.Text);
        finally
        inif.Free;
        end;
        except
        end;
end;

end.
